GET /ott/v1/registration/{platform}/{ottPropertyId}

Overview 

Retrieves information about a registered OTT property by Platform and ID.

URL Parameters 

NameTypeDescription
platformstringRequiredOTT Platform Name of the property.
ottPropertyIdstringRequiredID of the OTT property

Responses 

StatusNameTypeDescription
200  Success
 ottPlatformNamestringIndicates the name of the OTT network the resource is being registered with values: line, messenger.
 ottPlatformAttributesobjectObject containing OTT platform attributes.
 ottPlatformAttributes.applicationIdstringFacebook Application Id.
 ottPlatformAttributes.pageIdstringFacebook Page Id.
 ottPlatformAttributes.pageNamestringFacebook Page Name.
 ottPlatformAttributes.endpointUrlstringSend API url of the OTT network.
 ottPlatformAttributes.isActiveintegerIndicates if the OTT resource is active with values: 0 (Inactive), 1 (Active).
 ottPlatformAttributes.channelIdstringLINE channel Id. Required for registering LINE resource.
 ottPlatformAttributes.channelNamestringLINE channel name. Required for registering LINE resource.
 ottPlatformAttributes.isTransactionalintegerIndicates if LINE channel is Transactional or Reseller with values: 0 (Reseller), 1 (Transactional).
 ottPlatformAttributes.isTestChannelintegerIndicates if LINE channel is a Test channel with values: 0 (Not a test channel), 1 (test channel).
    
400  Bad Request
 messagestringError message.
 errorcodenumberError code.
 documentationstringDocumentation for the error code.
 validationErrorsarrayValidation errors in the request payload.
    
403  Forbidden
 messagestringError message.
 errorcodenumberError code.
 documentationstringDocumentation for the error code.
    
404  Not Found
 messagestringError message.
 errorcodenumberError code.
 documentationstringDocumentation for the error code.

Usage 

Example Request: Retrieve a Messenger Resource 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /ott/v1/registration/messenger/1732555047025799
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response: Retrieve a Messenger Resource 

1HTTP/1.1 200 OK
2
3{
4    "ottPlatformName" : "messenger",
5    "ottPlatformAttributes" : {
6        "applicationId" : "1093076390764037",
7        "pageId" : "1732555047025799",
8        "pageName" : "SFMC Engineers",
9        "endpointUrl" : "https://example.com/1732555047025799",
10        "isTransactional" : true,
11        "isTestChannel": false,
12        "isActive": true,
13        "apiVersion" : "v2.0"
14    }
15}

Example Request: Retrieve a LINE Resource 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /ott/v1/registration/line/1093076390764037
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response: Retrieve a LINE Resource 

1HTTP/1.1 200 OK
2
3{
4    "ottPlatformName" : "line",
5    "ottPlatformAttributes" : {
6        "channelId" : "1093076390764037",
7        "channelName" : "SFMC Engineers",
8        "endpointUrl" : "https://example.com/1732555047025799",
9        "isTransactional" : true,
10        "isTestChannel": false,
11        "isActive": true,
12        "apiVersion" : "v2.0"
13    }
14}